<script src="./Script.js"></script>

<template>
  <div class="m-widget24__item">
    <div class="icon">
      <div class="stat-icon" :style="{ background: data.styles.background }">
        <i
          v-html="data.styles.icon"
          :style="{ color: data.styles.color, 'font-size': data.styles.fontSize }"
        ></i>
      </div>
    </div>
    <div class="stat-detail">
      <p>{{ data.value_description }}</p>
      <template v-if="data.value_type === 'currency'">
        <h4>
          {{ data.current_value | formatNumberPrice }}
          <span>đ</span>
        </h4>
      </template>
      <template v-else>
        <h4>{{ data.current_value }}</h4>
      </template>
    </div>
  </div>
</template>
